package core

import (
	"fmt"
	"hongze/hongze_yb_en_api/global"
	"hongze/hongze_yb_en_api/init_serve"
)

func RunServe() {
	//初始化路由
	r := init_serve.InitRouter()
	//初始化mysql数据库
	init_serve.Mysql()
	//如果配置了redis，那么链接redis
	if global.CONFIG.Serve.UseRedis {
		//初始化redis
		fmt.Println("init redis start")
		init_serve.Redis()
		fmt.Println("init redis end")
	}
	//初始化验证器
	if err := global.InitTrans("zh"); err != nil {
		fmt.Println("init trans failed, err:%v\n", err)
		return
	}
	fmt.Println("run server start")
	//启动任务
	go init_serve.InitTask()
	// 3.监听端口，默认在8080
	// Run("里面不指定端口号默认为8080")

	fmt.Println("run server:", global.CONFIG.Serve.Port)
	err := r.Run(fmt.Sprint("0.0.0.0:", global.CONFIG.Serve.Port)) // 监听并在 0.0.0.0:8080 上启动服务
	if err != nil {
		panic(fmt.Errorf("服务启动失败，Err:%s", err))
	}
	fmt.Println("run server end")
}
