package english_video

import (
	"hongze/hongze_yb_en_api/global"
	"hongze/hongze_yb_en_api/models/base"
)

type PlayLog struct {
	Id          int      `gorm:"primaryKey;column:id" json:"id"`
	VideoId     int      `gorm:"column:video_id" json:"video_id"`         //线上路演ID
	EmailId     int      `gorm:"column:email_id" json:"email_id"`         //邮箱ID
	StopSeconds int      `gorm:"column:stop_seconds" json:"stop_seconds"` //停止时的秒数
	base.TimeBase
}

// TableName get sql table name.获取数据库表名
func (p *PlayLog) TableName() string {
	return "english_video_play_log"
}

// Add 新增
func (p *PlayLog) Add() (err error) {
	err = global.DEFAULT_MYSQL.Create(p).Error
	return
}

func (p *PlayLog) GetById() (item *PlayLog, err error) {
	err = global.DEFAULT_MYSQL.Model(p).Where("id = ?", p.Id).First(&item).Error
	return
}

func (p *PlayLog) Update(updateCols []string) (err error) {
	err = global.DEFAULT_MYSQL.Model(p).Select(updateCols).Updates(*p).Error
	return
}

type VideoPlayLogReq struct {
	Id          int `json:"id" description:"日志ID"  form:"id"`
	VideoId     int `json:"video_id" description:"路演视频ID"  form:"video_id"`
	StopSeconds int `json:"stop_seconds" description:"访问时长"  form:"stop_seconds"`
}

type VideoPlayLogResp struct {
	Id int `json:"id" description:"日志ID"`
}