package routers

import (
	"github.com/gin-gonic/gin"
	"hongze/hongze_yb_en_api/controller/english_report"
	"hongze/hongze_yb_en_api/middleware"
)

func InitReport(baseGroup *gin.RouterGroup) {
	//登录
	controller := new(english_report.EnglishReportController)
	vController := new(english_report.EnglishVideoController)
	group := baseGroup.Group("english_report/").Use(middleware.ShareEmailHandler()).Use(middleware.Token())
	group.GET("list", controller.List)
	group.GET("video/list", vController.List)
	group.GET("classify", controller.Classify)
	group.GET("filter_by_es", controller.FilterByEs)
	group.GET("detail", controller.Detail)
	group.GET("video/detail", vController.Detail)
	group.POST("video/play_log", vController.VideoPlayLog)
}
