package english_report

// IEnglishEmailSend 英文研报-邮件推送接口
type IEnglishEmailSend interface {
	NewClient() (err error)
	SendEmail(item *EnglishReportSendEmailRequest) (ok bool, result string, err error)
	BatchSendEmail(list []*EnglishReportSendEmailRequest) (results []*EnglishReportSendEmailResult, err error)
}

// EnglishReportSendEmailRequest 英文研报-推送邮件请求体
type EnglishReportSendEmailRequest struct {
	ReportId        int    `description:"英文报告ID"`
	EmailId         int    `description:"邮箱ID"`
	Email           string `description:"邮箱地址"`
	Subject         string `description:"邮件主题"`
	FromAlias       string `description:"发信人昵称"`
	ReportTitle     string `description:"报告标题"`
	ReportAbstract  string `description:"报告摘要"`
	ReportContent   string `description:"报告内容"`
	ReportShareLink string `description:"报告分享链接"`
	ReportTime      string `description:"报告时间"`
	HtmlBody        string `description:"模板内容主体"`
}

// EnglishReportSendEmailResult 英文研报-推送邮件响应体
type EnglishReportSendEmailResult struct {
	ReportId   int    `description:"英文报告ID"`
	EmailId    int    `description:"邮箱ID"`
	Email      string `description:"邮箱地址"`
	Ok         bool   `description:"是否推送成功"`
	SendData   string `description:"请求数据-JSON"`
	ResultData string `description:"推送结果-JSON"`
	Source     int    `description:"服务来源：1-阿里云；2-腾讯云"`
}
